For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • POSTCreate agent
      • GETGet agent
      • GETList agents
      • PATCHUpdate agent
      • DELDelete agent
      • POSTDuplicate agent
      • GETGet link
      • POSTSimulate conversation
      • POSTStream simulate conversation
      • POSTCalculate expected LLM usage
      • GETGet agent summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsAgents

Create agent

POST
/v1/convai/agents/create
POST
/v1/convai/agents/create
$curl -X POST https://api.elevenlabs.io/v1/convai/agents/create \
> -H "Content-Type: application/json" \
> -d '{
> "conversation_config": {}
>}'
1{
2 "agent_id": "J3Pbu5gP6NNKBscdCdwB"
3}
Create an agent from a config object
Was this page helpful?
Previous

Get agent

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

enable_versioningbooleanOptionalDefaults to trueDeprecated

Deprecated: all agents are versioned. This parameter is ignored.

Request

This endpoint expects an object.
conversation_configobjectRequired
Conversation configuration for an agent
platform_settingsobject or nullOptional
Platform settings for the agent are all settings that aren't related to the conversation orchestration and content.
workflowobjectOptional
Workflow for the agent. This is used to define the flow of the conversation and how the agent interacts with tools.
namestring or nullOptional
A name to make the agent easier to find
tagslist of strings or nullOptional
Tags to help classify and filter the agent

Response

Successful Response
agent_idstring
ID of the created agent

Errors

422
Unprocessable Entity Error